OGRE: Ogre::RadialDensityMask Class Reference

| OGRE 2.2.4 Object-Oriented Graphics Rendering Engine

Public Types | Public Member Functions | List of all members
Ogre::RadialDensityMask Class Reference
Core » Resources

`#include <OgreRadialDensityMask.h>`

Inheritance diagram for Ogre::RadialDensityMask:
[legend]

## Public Types
enum | RdmQuality { RdmLow, RdmMedium, RdmHigh }

## Public Member Functions
| RadialDensityMask (SceneManager *sceneManager, const float radius[3], HlmsManager *hlmsManager)
| ~RadialDensityMask ()
const float * | getRadius (void) const
Rectangle2D * | getRectangle (void) const
void | operator delete (void *ptr)
void | operator delete (void *ptr, const char *, int, const char *)
void | operator delete (void *ptr, void *)
void | operator delete[] (void *ptr)
void | operator delete[] (void *ptr, const char *, int, const char *)
void * | operator new (size_t sz)
void * | operator new (size_t sz, const char *file, int line, const char *func)
| operator new, with debug line info More...
void * | operator new (size_t sz, void *ptr)
| placement operator new More...
void * | operator new[] (size_t sz)
void * | operator new[] (size_t sz, const char *file, int line, const char *func)
| array operator new, with debug line info More...
void | setEyesCenter (const Vector2 &leftEyeCenter, const Vector2 &rightEyeCenter)
| Sets the center of the eye. More...
void | setNewRadius (const float radius[3])
| Changes existing set of radiuses. More...
void | setQuality (RdmQuality quality)
| Sets the quality of the reconstruction filter for half resolution rendering. More...
void | update (Viewport *viewports)

## Member Enumeration Documentation

## ◆ RdmQuality

enum Ogre::RadialDensityMask::RdmQuality

Enumerator
RdmLow | Cheap, pixelated and grainy.
RdmMedium | Slower than low but much better results. Can result in sharp text but still aliasing, shimmering/grain
RdmHigh | Slowest, but best results. Can result in blurry text but smoother graphics (i.e. less aliasing and shimmering/grain)

## Constructor & Destructor Documentation

## ◆ RadialDensityMask()

Ogre::RadialDensityMask::RadialDensityMask | ( | SceneManager * | sceneManager,
|  | const float | radius[3],
|  | HlmsManager * | hlmsManager
| ) |  |

## ◆ ~RadialDensityMask()

Ogre::RadialDensityMask::~RadialDensityMask | ( |  | ) |

## Member Function Documentation

## ◆ getRadius()

const float* Ogre::RadialDensityMask::getRadius | ( | void |  | ) | const
| inline

## ◆ getRectangle()

Rectangle2D* Ogre::RadialDensityMask::getRectangle | ( | void |  | ) | const
| inline

## ◆ operator delete() [1/3]

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete | ( | void * | ptr | ) |
| inlineinherited

## ◆ operator delete() [2/3]

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete | ( | void * | ptr,
|  | const char * | ,
|  | int | ,
|  | const char * |
| ) |  |
| inlineinherited

## ◆ operator delete() [3/3]

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete | ( | void * | ptr,
|  | void * |
| ) |  |
| inlineinherited

## ◆ operator delete[]() [1/2]

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete[] | ( | void * | ptr | ) |
| inlineinherited

## ◆ operator delete[]() [2/2]

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete[] | ( | void * | ptr,
|  | const char * | ,
|  | int | ,
|  | const char * |
| ) |  |
| inlineinherited

## ◆ operator new() [1/3]

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new | ( | size_t | sz | ) |
| inlineinherited

## ◆ operator new() [2/3]

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new | ( | size_t | sz,
|  | const char * | file,
|  | int | line,
|  | const char * | func
| ) |  |
| inlineinherited

operator new, with debug line info

## ◆ operator new() [3/3]

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new | ( | size_t | sz,
|  | void * | ptr
| ) |  |
| inlineinherited

placement operator new

## ◆ operator new[]() [1/2]

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new[] | ( | size_t | sz | ) |
| inlineinherited

## ◆ operator new[]() [2/2]

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new[] | ( | size_t | sz,
|  | const char * | file,
|  | int | line,
|  | const char * | func
| ) |  |
| inlineinherited

array operator new, with debug line info

## ◆ setEyesCenter()

void Ogre::RadialDensityMask::setEyesCenter | ( | const Vector2 & | leftEyeCenter,
|  | const Vector2 & | rightEyeCenter
| ) |  |

Sets the center of the eye.

Each eye is relative to its own viewport. e.g. the default for both eyes is Vector2( 0, 0 ) and not Vector2( -0.5, 0 ) for the left eye and Vector2( 0.5, 0 ) for the right eye

Parameters

  leftEyeCenter | In clip space, i.e. in range [-1; 1]
  rightEyeCenter | In clip space, i.e. in range [-1; 1]

## ◆ setNewRadius()

void Ogre::RadialDensityMask::setNewRadius | ( | const float | radius[3] | ) |

Changes existing set of radiuses.

Parameters

  radius | For best performance, do not change the value of mRadius[0]

## ◆ setQuality()

void Ogre::RadialDensityMask::setQuality | ( | RdmQuality | quality | ) |

Sets the quality of the reconstruction filter for half resolution rendering.

Quarter and Sixteenth resolution rendering is always reconstructed using low quality.

Parameters

  quality |

## ◆ update()

void Ogre::RadialDensityMask::update | ( | Viewport * | viewports | ) |

The documentation for this class was generated from the following file:

- OgreRadialDensityMask.h